#
Summary: Updated /usr/include/linux/time.h file
Name: zz_linux_time.h_fix
Version: 1.0
Release: 2
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/unix/linux
Distribution: Fermi Red Hat Linux v5.2.1
Vendor: Fermilab
Packager: Dan Yocum
requires: kernel-headers
%description
The files /usr/include/time.h and /usr/include/linux/time.h both define
a structure called timespec. Both use blocking macros to insure that the
structure is only defined once, no matter what. Unfortunately, they use
DIFFERENT blocking macros. This change to <linux/time.h> adapts it to use the
same convention as <time.h>, which appears more complicated as well as more
advanced in development. This file may require re-installation or rechecking
after new kernel code is installed. linux_time.h should be installed as
/usr/include/linux/time.h. 

The original file will be saved as /usr/include/linux/time.h.rpmsave.

%files
/usr/include/linux/time.h 

%pre
if [ -f /usr/include/linux/time.h.org ]
then 
	mv -f /usr/include/linux/time.h.org /usr/include/linux/time.h
	mv /usr/include/linux/time.h /usr/include/linux/time.h.rpmsave
else
	mv /usr/include/linux/time.h /usr/include/linux/time.h.rpmsave
fi

%postun

if [ -f /usr/include/linux/time.h.rpmsave ]
then
	mv -f /usr/include/linux/time.h.rpmsave /usr/include/linux/time.h
fi
